Package: org.codehaus.groovy.jsr223

## [Java] Class GroovyCompiledScript

- org.codehaus.groovy.jsr223.GroovyCompiledScript

-     public class GroovyCompiledScript
      extends CompiledScript

  Used to represent compiled Groovy scripts. Such scripts may be executed repeatedly by Groovy's `ScriptEngine` using the `eval` method without reparsing overheads. Adapted from original by Mike Grogan and A. Sundararajan

- - ### Constructor Summary

    Constructors
    Constructor and description
    `GroovyCompiledScript(GroovyScriptEngineImpl engine, Class<?> clazz)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Object` | `eval(ScriptContext context)`
    `` | `public ScriptEngine` | `getEngine()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class CompiledScript` | `equals, eval, eval, eval, getClass, getEngine, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### public GroovyCompiledScript(GroovyScriptEngineImpl engine, Class<?> clazz)

  - ### Method Detail

    - #### @Override
      public Object eval(ScriptContext context)

    - #### @Override
      public ScriptEngine getEngine()